# Uses of Enum Class
org.opensaml.spring.credential.AbstractBasicCredentialFactoryBean.SecretKeyEncoding

Packages that use AbstractBasicCredentialFactoryBean.SecretKeyEncoding
Package
Description
org.opensaml.spring.credential
Factory beans for various credential classes.

## Uses of AbstractBasicCredentialFactoryBean.SecretKeyEncoding in org.opensaml.spring.credential

Fields in org.opensaml.spring.credential declared as AbstractBasicCredentialFactoryBean.SecretKeyEncoding
Modifier and Type
Field
Description
`private AbstractBasicCredentialFactoryBean.SecretKeyEncoding`
AbstractBasicCredentialFactoryBean.`secretKeyEncoding`
The SecretKey encoding used.
Methods in org.opensaml.spring.credential that return AbstractBasicCredentialFactoryBean.SecretKeyEncoding
Modifier and Type
Method
Description
`AbstractBasicCredentialFactoryBean.SecretKeyEncoding`
AbstractBasicCredentialFactoryBean.`getSecretKeyEncoding()`
Get the SecretKey encoding.
`static AbstractBasicCredentialFactoryBean.SecretKeyEncoding`
AbstractBasicCredentialFactoryBean.SecretKeyEncoding.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AbstractBasicCredentialFactoryBean.SecretKeyEncoding[]`
AbstractBasicCredentialFactoryBean.SecretKeyEncoding.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.opensaml.spring.credential with parameters of type AbstractBasicCredentialFactoryBean.SecretKeyEncoding
Modifier and Type
Method
Description
`void`
AbstractBasicCredentialFactoryBean.`setSecretKeyEncoding(AbstractBasicCredentialFactoryBean.SecretKeyEncoding encoding)`
Set the SecretKey encoding.